export function normalizeAumlauts(terms: string[]): string[] {
  const additionalTerms: string[] = []

  terms.forEach((token) => {
    if (!token) return

    const replaced = token
      .replace(/å/g, "a")
      .replace(/ä/g, "a")
      .replace(/ö/g, "o")
      .replace(/ø/g, "o")
      .replace(/æ/g, "a")
      .replace(/é/g, "e")
      .replace(/ü/g, "u")

    if (replaced !== token) {
      additionalTerms.push(replaced)
    }
  })

  return [...new Set([...additionalTerms, ...terms])]
}
